package com.apobates.forum.thrones.controller.form;

import com.apobates.forum.member.entity.MemberSocialInfo;

/**
 *
 * @author xiaofanku
 * @since 20200521
 */
public class MemberSocialInfoForm extends ActionForm{
    private String alibaba;
    private String weibo;
    private String weixin;
    private String qq;
    private String email;
    
    public String getAlibaba() {
        return alibaba;
    }
    
    public void setAlibaba(String alibaba) {
        this.alibaba = alibaba;
    }
    
    public String getWeibo() {
        return weibo;
    }
    
    public void setWeibo(String weibo) {
        this.weibo = weibo;
    }
    
    public String getWeixin() {
        return weixin;
    }
    
    public void setWeixin(String weixin) {
        this.weixin = weixin;
    }
    
    public String getQq() {
        return qq;
    }
    
    public void setQq(String qq) {
        this.qq = qq;
    }
    
    public String getEmail() {
        return email;
    }
    
    public void setEmail(String email) {
        this.email = email;
    }
    public MemberSocialInfoForm(){
        super();
    }
    public static MemberSocialInfoForm init(MemberSocialInfo msi) {
        MemberSocialInfoForm form = new MemberSocialInfoForm();
        form.setRecord(msi.getId());
        form.setQq(msi.getQq());
        form.setWeixin(msi.getWeixin());
        form.setWeibo(msi.getWeibo());
        form.setEmail(msi.getEmail()); // 解码
        return form;
    }
}